    /**
        * zoom.js by @guateapps.
        * Copyright 2022 Guate Apps.
    */

    'use strict';
    
    ZoomMtg.preLoadWasm();
    ZoomMtg.prepareWebSDK();
    var meetConfig = {
        sdkKey: zoomKey,
        meetingNumber: meetID,
        userName: userName,
        passWord: meetPWD,
        leaveUrl: leaveURL,
        userEmail: userMail,
        sdkSecret: zoomSecret,
        role: parseInt(1, 10)
    };
    var signature = ZoomMtg.generateSDKSignature({
        meetingNumber: meetConfig.meetingNumber,
        sdkKey: meetConfig.sdkKey,
        sdkSecret: meetConfig.sdkSecret,
        role: meetConfig.role,
    });
    ZoomMtg.init({
        leaveUrl: meetConfig.leaveUrl,
        isSupportAV: true,
        success: function () {
            ZoomMtg.join(
                {
                    meetingNumber: meetConfig.meetingNumber,
                    userName: meetConfig.userName,
                    signature: signature,
                    sdkKey: meetConfig.sdkKey,
                    passWord: meetConfig.passWord,
                    userEmail: meetConfig.userEmail,
                    success: function(res){
                        $('#nav-tool').hide();
                    },
                }
            );
        }
    });